"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetownerRawMapper = exports.SetownerMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class SetownerMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('newOwner', {
            key: 'new_owner',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, new_owner, _id, ...rest } = mongoModel;
        return entities_1.Setowner.create(dac_id || '', new_owner || '', _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.SetownerMongoMapper = SetownerMongoMapper;
class SetownerRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, new_owner, ...rest } = rawModel;
        return entities_1.Setowner.create(dac_id || '', new_owner || '', undefined, rest);
    }
}
exports.SetownerRawMapper = SetownerRawMapper;
