"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetsociallnkRawMapper = exports.SetsociallnkMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class SetsociallnkMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('key', {
            key: 'key',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('link', {
            key: 'link',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, key, link, _id, ...rest } = mongoModel;
        return entities_1.Setsociallnk.create(dac_id || '', key || '', link || '', _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.SetsociallnkMongoMapper = SetsociallnkMongoMapper;
class SetsociallnkRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, key, link, ...rest } = rawModel;
        return entities_1.Setsociallnk.create(dac_id || '', key || '', link || '', undefined, rest);
    }
}
exports.SetsociallnkRawMapper = SetsociallnkRawMapper;
