"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetsocialsRawMapper = exports.SetsocialsMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class SetsocialsMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('dacId', {
            key: 'dac_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('active', {
            key: 'active',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { dac_id, active, _id, ...rest } = mongoModel;
        return entities_1.Setsocials.create(dac_id || '', active || false, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.SetsocialsMongoMapper = SetsocialsMongoMapper;
class SetsocialsRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { dac_id, active, ...rest } = rawModel;
        return entities_1.Setsocials.create(dac_id || '', active || false, undefined, rest);
    }
}
exports.SetsocialsRawMapper = SetsocialsRawMapper;
