"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DacglobalsRawMapper = exports.DacglobalsMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
const entities_1 = require("../../domain/entities");
class DacglobalsMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('data', {
            key: 'data',
            mapper: (values) => values.map(value => new aw_antelope_1.PairMongoMapper().fromEntity(value)),
        });
    }
    toEntity(mongoModel) {
        const { data, _id, ...rest } = mongoModel;
        return entities_1.Dacglobals.create(data?.map(value => new aw_antelope_1.PairMongoMapper().toEntity(value)) || [], _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.DacglobalsMongoMapper = DacglobalsMongoMapper;
class DacglobalsRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { data, ...rest } = rawModel;
        return entities_1.Dacglobals.create(data?.map(value => new aw_antelope_1.PairRawMapper().toEntity(value)) || [], undefined, rest);
    }
}
exports.DacglobalsRawMapper = DacglobalsRawMapper;
