"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NftcacheRawMapper = exports.NftcacheMongoMapper = void 0;
const aw_core_1 = require("@alien-worlds/aw-core");
const aw_storage_mongodb_1 = require("@alien-worlds/aw-storage-mongodb");
const entities_1 = require("../../domain/entities");
class NftcacheMongoMapper extends aw_storage_mongodb_1.MongoMapper {
    constructor() {
        super();
        this.mappingFromEntity.set('nftId', {
            key: 'nft_id',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('schemaName', {
            key: 'schema_name',
            mapper: (value) => value,
        });
        this.mappingFromEntity.set('value', {
            key: 'value',
            mapper: (value) => value,
        });
    }
    toEntity(mongoModel) {
        const { nft_id, schema_name, value, _id, ...rest } = mongoModel;
        return entities_1.Nftcache.create(nft_id || 0, schema_name || '', value || 0, _id instanceof aw_storage_mongodb_1.MongoDB.ObjectId ? _id.toString() : undefined, rest);
    }
}
exports.NftcacheMongoMapper = NftcacheMongoMapper;
class NftcacheRawMapper extends aw_core_1.MapperImpl {
    fromEntity(entity) {
        throw new Error('Method not implemented');
    }
    toEntity(rawModel) {
        const { nft_id, schema_name, value, ...rest } = rawModel;
        return entities_1.Nftcache.create(nft_id || 0, schema_name || '', value || 0, undefined, rest);
    }
}
exports.NftcacheRawMapper = NftcacheRawMapper;
