"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndexWorldsContractServiceImpl = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class IndexWorldsContractServiceImpl extends aw_antelope_1.AntelopeSmartContractServiceImpl {
    constructor(antelopeRpcSourceImpl, serviceUrl) {
        super(antelopeRpcSourceImpl, serviceUrl, 'index.worlds');
    }
    async fetchDacglobals(options) {
        const table_key = '';
        const tableRowOptions = {
            ...options,
            code: 'index.worlds',
            table: 'dacglobals',
            table_key,
        };
        return options?.limit > 0
            ? await this.getMany(tableRowOptions)
            : await this.getAll(table_key, tableRowOptions);
    }
    async fetchDacs(options) {
        const table_key = 'dac_id';
        const tableRowOptions = {
            ...options,
            code: 'index.worlds',
            table: 'dacs',
            table_key,
        };
        return options?.limit > 0
            ? await this.getMany(tableRowOptions)
            : await this.getAll(table_key, tableRowOptions);
    }
    async fetchNftcache(options) {
        const table_key = 'nft_id';
        const tableRowOptions = {
            ...options,
            code: 'index.worlds',
            table: 'nftcache',
            table_key,
        };
        return options?.limit > 0
            ? await this.getMany(tableRowOptions)
            : await this.getAll(table_key, tableRowOptions);
    }
}
exports.IndexWorldsContractServiceImpl = IndexWorldsContractServiceImpl;
